glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Related Functions | List of all members
Glib::Object Class Reference

`#include <glibmm/object.h>`

Inheritance diagram for Glib::Object:
[legend]

## Public Types

typedef void(* | DestroyNotify )(gpointer data)

## Public Member Functions

void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject* | gobj ()
| Provides access to the underlying C GObject.
const GObject* | gobj () const
| Provides access to the underlying C GObject.
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()

## Protected Member Functions

| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)

## Member Typedef Documentation

typedef void(* Glib::Object::DestroyNotify)(gpointer data)

## Constructor & Destructor Documentation

Glib::Object::Object | ( |  | ) |

protected

Glib::Object::Object | ( | const Glib::ConstructParams & | construct_params | ) |

explicit protected

Glib::Object::Object | ( | GObject * | castitem | ) |

explicit protected

virtual Glib::Object::~Object | ( |  | ) |

protected virtual

## Member Function Documentation

void* Glib::Object::get_data | ( | const QueryQuark& | key | ) |

void Glib::Object::remove_data | ( | const QueryQuark& | quark | ) |

void Glib::Object::set_data | ( | const Quark& | key,
|  | void * | data
| ) |  |

void Glib::Object::set_data | ( | const Quark& | key,
|  | void * | data,
|  | DestroyNotify | notify
| ) |  |

void* Glib::Object::steal_data | ( | const QueryQuark& | quark | ) |

## Friends And Related Function Documentation

Glib::RefPtr< Glib::Object > wrap | ( | GObject * | object,
|  | bool | take_copy = `false`
| ) |  |

related